Package org.apache.cxf.logging

# Class NoOpFaultListener

java.lang.Object
org.apache.cxf.logging.NoOpFaultListener

All Implemented Interfaces:
  `FaultListener`

public class NoOpFaultListener extends Object implements FaultListener
Utility FaultListener for blocking the default PhaseInterceptorChain fault logging

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoOpFaultListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `faultOccurred(Exception exception, String description, Message message)`
  Handle the occurred exception.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NoOpFaultListener

    public NoOpFaultListener()

- ## Method Details

  - ### faultOccurred

    public boolean faultOccurred(Exception exception, String description, Message message)
    Description copied from interface: `FaultListener`
    Handle the occurred exception.
    Specified by:
      `faultOccurred` in interface `FaultListener`
    Parameters:
      `exception` - The exception
      `description` - A description of where in the service interfaces the exception occurred.
      `message` - the message processed while the exception occurred.
    Returns:
      `true` if CXF should use default handling for this exception which normally is just logging the exception, `false` if CXF not should do any logging.